<?php

namespace catchAdmin\citymanage\controller;

use catcher\base\CatchRequest as Request;
use catcher\CatchResponse;
use catcher\base\CatchController;
use catchAdmin\citymanage\model\UcCity as ucCityModel;

class UcCity extends CatchController
{
    protected $ucCityModel;
    
    public function __construct(UcCityModel $ucCityModel)
    {
        $this->ucCityModel = $ucCityModel;
    }
    
    /**
     * 列表
     * @time 2021年05月17日 17:22
     * @param Request $request 
     */
    public function index(Request $request) : \think\Response
    {
        return CatchResponse::paginate($this->ucCityModel->getList());
    }
    
    /**
     * 保存信息
     * @time 2021年05月17日 17:22
     * @param Request $request 
     */
    public function save(Request $request) : \think\Response
    {
        return CatchResponse::success($this->ucCityModel->storeBy($request->post()));
    }
    
    /**
     * 读取
     * @time 2021年05月17日 17:22
     * @param $id 
     */
    public function read($id) : \think\Response
    {
        return CatchResponse::success($this->ucCityModel->findBy($id));
    }
    
    /**
     * 更新
     * @time 2021年05月17日 17:22
     * @param Request $request 
     * @param $id
     */
    public function update(Request $request, $id) : \think\Response
    {
        return CatchResponse::success($this->ucCityModel->updateBy($id, $request->post()));
    }
    
    /**
     * 删除
     * @time 2021年05月17日 17:22
     * @param $id
     */
    public function delete($id) : \think\Response
    {
        return CatchResponse::success($this->ucCityModel->deleteBy($id));
    }
}