<?php

namespace catchAdmin\citymanage\controller;

use catcher\base\CatchRequest as Request;
use catcher\CatchResponse;
use catcher\base\CatchController;
use catchAdmin\citymanage\model\UcDistrict as ucDistrictModel;

class UcDistrict extends CatchController
{
    protected $ucDistrictModel;
    
    public function __construct(UcDistrictModel $ucDistrictModel)
    {
        $this->ucDistrictModel = $ucDistrictModel;
    }
    
    /**
     * 列表
     * @time 2021年05月17日 17:24
     * @param Request $request 
     */
    public function index(Request $request) : \think\Response
    {
        return CatchResponse::paginate($this->ucDistrictModel->getList());
    }
    
    /**
     * 保存信息
     * @time 2021年05月17日 17:24
     * @param Request $request 
     */
    public function save(Request $request) : \think\Response
    {
        return CatchResponse::success($this->ucDistrictModel->storeBy($request->post()));
    }
    
    /**
     * 读取
     * @time 2021年05月17日 17:24
     * @param $id 
     */
    public function read($id) : \think\Response
    {
        return CatchResponse::success($this->ucDistrictModel->findBy($id));
    }
    
    /**
     * 更新
     * @time 2021年05月17日 17:24
     * @param Request $request 
     * @param $id
     */
    public function update(Request $request, $id) : \think\Response
    {
        return CatchResponse::success($this->ucDistrictModel->updateBy($id, $request->post()));
    }
    
    /**
     * 删除
     * @time 2021年05月17日 17:24
     * @param $id
     */
    public function delete($id) : \think\Response
    {
        return CatchResponse::success($this->ucDistrictModel->deleteBy($id));
    }
}