<?php

namespace catchAdmin\citymanage\controller;

use catcher\base\CatchRequest as Request;
use catcher\CatchResponse;
use catcher\base\CatchController;
use catchAdmin\citymanage\model\UcProvince as ucProvinceModel;

class UcProvince extends CatchController
{
    protected $ucProvinceModel;
    
    public function __construct(UcProvinceModel $ucProvinceModel)
    {
        $this->ucProvinceModel = $ucProvinceModel;
    }
    
    /**
     * 列表
     * @time 2021年05月17日 17:13
     * @param Request $request 
     */
    public function index(Request $request) : \think\Response
    {
        return CatchResponse::paginate($this->ucProvinceModel->getList());
    }
    
    /**
     * 保存信息
     * @time 2021年05月17日 17:13
     * @param Request $request 
     */
    public function save(Request $request) : \think\Response
    {
        return CatchResponse::success($this->ucProvinceModel->storeBy($request->post()));
    }
    
    /**
     * 读取
     * @time 2021年05月17日 17:13
     * @param $id 
     */
    public function read($id) : \think\Response
    {
        return CatchResponse::success($this->ucProvinceModel->findBy($id));
    }
    
    /**
     * 更新
     * @time 2021年05月17日 17:13
     * @param Request $request 
     * @param $id
     */
    public function update(Request $request, $id) : \think\Response
    {
        return CatchResponse::success($this->ucProvinceModel->updateBy($id, $request->post()));
    }
    
    /**
     * 删除
     * @time 2021年05月17日 17:13
     * @param $id
     */
    public function delete($id) : \think\Response
    {
        return CatchResponse::success($this->ucProvinceModel->deleteBy($id));
    }
}