<?php

namespace catchAdmin\flange\controller;

use catcher\base\CatchRequest as Request;
use catcher\CatchResponse;
use catcher\base\CatchController;
use catchAdmin\flange\model\Flange as model;
use PhpParser\Node\Expr\FuncCall;
use think\facade\Db;
use think\response\Json;

class Flange extends CatchController
{
    protected $model;
    
    public function __construct(Model $model)
    {
        $this->model = $model;
    }
    
    /**
     * 列表
     * @time 2022年05月06日 14:59
     * @param Request $request 
     */
    public function index(Request $request) : \think\Response
    {
        return CatchResponse::paginate($this->model->getList());
    }
    
    /**
     * 保存信息
     * @time 2022年05月06日 14:59
     * @param Request $request 
     */
    public function save(Request $request) : \think\Response
    {
        $data = $request->post();
       
        if($data['out_date']){
        
            $data['out_date'] = date('Y-m-d',$data['out_date']);
        }
        return CatchResponse::success($this->model->storeBy($data));
    }
    
    /**
     * 读取
     * @time 2022年05月06日 14:59
     * @param $id 
     */
    public function read($id) : \think\Response
    {
        return CatchResponse::success($this->model->findBy($id));
    }
    
    /**
     * 更新
     * @time 2022年05月06日 14:59
     * @param Request $request 
     * @param $id
     */
    public function update(Request $request, $id) : \think\Response
    {
        $data = $request->post();
        if(!strstr($data['out_date'],'-'))
        {
            $data['out_date'] = date('Y-m-d',$data['out_date']);
        }
        return CatchResponse::success($this->model->updateBy($id,$data));
    }
    
    /**
     * 删除
     * @time 2022年05月06日 14:59
     * @param $id
     */
    public function delete($id) : \think\Response
    {
        return CatchResponse::success($this->model->deleteBy($id));
    }
    /**
     * 获取风场和风机
     */
    public function getWindFan(Request $request)
    {
        $data = $request->get();
        if(!empty($data['wind']))
        {
          $where[]=['name','like','%'.$data['wind'].'%'];
        }
        $wind_list = Db::name("wind")->field('id as wid,number as value,name as text')->select();
        $wind_list =json_decode(json_encode($wind_list),true);
        
        foreach($wind_list as $key=>$item)
        {
            $wind_list[$key]['children'] = Db::name('fan')
            ->where('wind_id',$item['wid'])
            ->field('id as value,number as text')
            ->select();
            $wind_list[$key]['value'] =(int)$item['value'];
        }
       return CatchResponse::success($wind_list);
    }
    
    /**
     * Undocumented 选择扳手
     *
     * @param [type] $request
     * @return void
     */
   public function chooseWrench(Request $request)
   {    
       $data = $request->get();
       $where = [];
       if(!empty($data["id"]))
       {
           $ids = implode(',',$data['id']);
            $where[] =["w.id","in",$ids];
       }

       $wrenchList =  Db::name("wrench")->alias('w')->leftJoin("device_mold d",'w.model=d.id')
       ->where($where)->field('w.id as value,w.name as text,w.number,d.name as name')->select();
       return CatchResponse::success($wrenchList);
   }
  

}