<?php
// +----------------------------------------------------------------------
// | CatchAdmin [Just Like ～ ]
// +----------------------------------------------------------------------
// | Copyright (c) 2017~{$year} http://catchadmin.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( https://github.com/yanwenwu/catch-admin/blob/master/LICENSE.txt )
// +----------------------------------------------------------------------
// | Author: JaguarJack [ njphper@gmail.com ]
// +----------------------------------------------------------------------

use think\migration\Migrator;
use think\migration\db\Column;
use Phinx\Db\Adapter\MysqlAdapter;
class HydraulicAddFields extends Migrator
{
    /**
     * Change Method.
     *
     * Write your reversible migrations using this method.
     *
     * More information on writing migrations is available here:
     * http://docs.phinx.org/en/latest/migrations.html#the-abstractmigration-class
     *
     * The following commands can be used in this method and Phinx will
     * automatically reverse them when rolling back:
     *
     *    createTable
     *    renameTable
     *    addColumn
     *    renameColumn
     *    addIndex
     *    addForeignKey
     *
     * Remember to call "create()" or "update()" and NOT "save()" when working
     * with the Table class.
     */
    public function change()
    {
        if ($this->hasTable('hydraulic')) {
            $table = $this->table('hydraulic');

            $table  ->addColumn('imei', 'string', ['limit' => 32,'null' => true,'signed' => true,'comment' => 'imei号',])
                    ->addColumn('sim_card', 'string', ['limit' => 32,'null' => true,'signed' => true,'comment' => 'sim卡号',])
                    ->addColumn('check_time', 'integer', ['limit' => MysqlAdapter::INT_REGULAR,'null' => true,'default' => null,'signed' => true,'comment' => '校验时间',])
                    ->addColumn('effective_period', 'string', ['limit' => 8,'null' => true,'signed' => true,'comment' => '有效周期',])
                    ->addColumn('effective_time', 'string', ['limit' => 32,'null' => true,'signed' => true,'comment' => '有效截止时间',])
                    ->update();
        }
      
    }
}
