<?php

namespace catchAdmin\hydraulic\model;

use catcher\base\CatchModel as Model;
use \think\facade\Db;
use catchAdmin\system\model\SysDictData;
use catchAdmin\permissions\model\DataRangScopeTrait;
class Wrench extends Model
{
    use DataRangScopeTrait;
    // 表名
    public $name = 'wrench';
    // 数据库字段映射
    public $field = array(
        'id',
        // 编号
        'number',
        // 型号
        'model',
        // 所属部门
        'department_id',
        // 名称
        'name',
        // 使用状态
        'is_used',
        // 品牌
        'brand',
        // 供应商
        'supplier',
        // 出厂日期
        'out_date',
        // 备注
        'remark',
        // 告警状态
        'alarm_state',
        // 网络状态
        'net_state',
        // 在线时间
        'online_time',
        // 最大压力
        'max_pressure',
        // 最小压力
        'min_pressure',
        'angle_sensor',
        // 校验时间
        'checked_at',
        // 校验台编号
        'checked_no',
        // 校验结果
        'checked_res',
        // 操作员
        'checked_user_id',
        // 最大扭矩
        'max_torque',
        // 最小扭矩
        'min_torque',
        // 创建人ID
        'creator_id',
        // 创建时间
        'created_at',
        // 更新时间
        'updated_at',
        // 软删除
        'deleted_at',
    );
    public function getList()
    {
        $res =  $this->dataRange()
            ->catchSearch()
            ->append(['depart_name', 'creator_user','model_name'])
            ->order($this->aliasField('id'), 'desc')
            ->paginate();
        return $res;
    }


    /**
     * 获取导入用户（文本）
     */
    public function getCreatorUserAttr($value)
    {
        $uid = $this->creator_id;
        return Db::table('users')->where('id', $uid)->value('username') ?: '';
    }

    /**
     * 获取部门名称（文本）
     */
    public function getDepartNameAttr()
    {
        $id = $this->getData('department_id');
        return Db::table('departments')->where('id', $id)->value('department_name');
    }

     /**
     * 获取类型名称
     */
    public function getModelAttr($value)
    {
        return (int)$value;
    }
    /**
     * 获取类型名称
     */
    public function getModelNameAttr()
    {
        $id = $this->getData('model');
        return Db::table('device_mold')->where('id', $id)->value('name');
    }
     /**
     * 获取角度传感器
     */
    public function getAngleSensorAttr($value)
    {
        if($value==1){
            return true;
        }else{
            return false;
        }
    }
    /**
     * 获取部门名称（文本）
     */
    public function getOnlineTimeAttr($value)
    {
       if($value){
            return date('Y-m-d H:i:s',$value);
       }else{
           return '-';
       }
    }

  
}