<?php

namespace catchAdmin\logs\controller;

use catcher\base\CatchRequest as Request;
use catcher\CatchResponse;
use catcher\base\CatchController;
use catchAdmin\logs\model\BatteryLog as batteryLogModel;

class BatteryLog extends CatchController
{
    protected $batteryLogModel;
    
    public function __construct(BatteryLogModel $batteryLogModel)
    {
        $this->batteryLogModel = $batteryLogModel;
    }
    
    /**
     * 列表
     * @time 2021年11月08日 10:56
     * @param Request $request 
     */
    public function index(Request $request) : \think\Response
    {
        $params=$request->param();
        if(isset($params['heartTime'][0])){
            $heartTime=$params['heartTime'][0];
        }else{
            $heartTime=null;
        }
        return CatchResponse::paginate($this->batteryLogModel->getList($heartTime));
        // return CatchResponse::paginate($this->batteryLogModel->getList());
    }
    
    /**
     * 保存信息
     * @time 2021年11月08日 10:56
     * @param Request $request 
     */
    public function save(Request $request) : \think\Response
    {
        return CatchResponse::success($this->batteryLogModel->storeBy($request->post()));
    }
    
    /**
     * 读取
     * @time 2021年11月08日 10:56
     * @param $id 
     */
    public function read($id) : \think\Response
    {
        return CatchResponse::success($this->batteryLogModel->findBy($id));
    }
    
    /**
     * 更新
     * @time 2021年11月08日 10:56
     * @param Request $request 
     * @param $id
     */
    public function update(Request $request, $id) : \think\Response
    {
        return CatchResponse::success($this->batteryLogModel->updateBy($id, $request->post()));
    }
    
    /**
     * 删除
     * @time 2021年11月08日 10:56
     * @param $id
     */
    public function delete($id) : \think\Response
    {
        return CatchResponse::success($this->batteryLogModel->deleteBy($id));
    }
}