<?php

namespace catchAdmin\logs\controller;

use catcher\base\CatchRequest as Request;
use catcher\CatchResponse;
use catcher\base\CatchController;
use catchAdmin\logs\model\ConfigLog as configLogModel;

class ConfigLog extends CatchController
{
    protected $configLogModel;
    
    public function __construct(ConfigLogModel $configLogModel)
    {
        $this->configLogModel = $configLogModel;
    }
    
    /**
     * 列表
     * @time 2021年06月08日 10:17
     * @param Request $request 
     */
    public function index(Request $request) : \think\Response
    {
        return CatchResponse::paginate($this->configLogModel->getList());
    }
    
    /**
     * 保存信息
     * @time 2021年06月08日 10:17
     * @param Request $request 
     */
    public function save(Request $request) : \think\Response
    {
        return CatchResponse::success($this->configLogModel->storeBy($request->post()));
    }
    
    /**
     * 读取
     * @time 2021年06月08日 10:17
     * @param $id 
     */
    public function read($id) : \think\Response
    {
        return CatchResponse::success($this->configLogModel->findBy($id));
    }
    
    /**
     * 更新
     * @time 2021年06月08日 10:17
     * @param Request $request 
     * @param $id
     */
    public function update(Request $request, $id) : \think\Response
    {
        return CatchResponse::success($this->configLogModel->updateBy($id, $request->post()));
    }
    
    /**
     * 删除
     * @time 2021年06月08日 10:17
     * @param $id
     */
    public function delete($id) : \think\Response
    {
        return CatchResponse::success($this->configLogModel->deleteBy($id));
    }
}