<?php

namespace catchAdmin\logs\controller;

use catcher\base\CatchRequest as Request;
use catcher\CatchResponse;
use catcher\base\CatchController;
use catchAdmin\logs\model\HeartBeat as heartBeatModel;

class HeartBeat extends CatchController
{
    protected $heartBeatModel;
    
    public function __construct(HeartBeatModel $heartBeatModel)
    {
        $this->heartBeatModel = $heartBeatModel;
    }
    
    /**
     * 列表
     * @time 2021年07月20日 10:54
     * @param Request $request 
     */
    public function index(Request $request) : \think\Response
    {
        if($request->get('imei') == ''){
            return CatchResponse::success([]);
        }
        return CatchResponse::paginate($this->heartBeatModel->getList());
    }
    
    /**
     * 保存信息
     * @time 2021年07月20日 10:54
     * @param Request $request 
     */
    public function save(Request $request) : \think\Response
    {
        return CatchResponse::success($this->heartBeatModel->storeBy($request->post()));
    }
    
    /**
     * 读取
     * @time 2021年07月20日 10:54
     * @param $id 
     */
    public function read($id) : \think\Response
    {
        return CatchResponse::success($this->heartBeatModel->findBy($id));
    }
    
    /**
     * 更新
     * @time 2021年07月20日 10:54
     * @param Request $request 
     * @param $id
     */
    public function update(Request $request, $id) : \think\Response
    {
        return CatchResponse::success($this->heartBeatModel->updateBy($id, $request->post()));
    }
    
    /**
     * 删除
     * @time 2021年07月20日 10:54
     * @param $id
     */
    public function delete($id) : \think\Response
    {
        return CatchResponse::success($this->heartBeatModel->deleteBy($id));
    }
}