<?php

namespace catchAdmin\logs\controller;

use catcher\base\CatchRequest as Request;
use catcher\CatchResponse;
use catcher\base\CatchController;
use catchAdmin\logs\model\MaintainLog as maintainLogModel;

class MaintainLog extends CatchController
{
    protected $maintainLogModel;
    
    public function __construct(MaintainLogModel $maintainLogModel)
    {
        $this->maintainLogModel = $maintainLogModel;
    }
    
    /**
     * 列表
     * @time 2022年05月06日 16:17
     * @param Request $request 
     */
    public function index(Request $request) : \think\Response
    {
        return CatchResponse::paginate($this->maintainLogModel->getList());
    }
    
    /**
     * 保存信息
     * @time 2022年05月06日 16:17
     * @param Request $request 
     */
    public function save(Request $request) : \think\Response
    {
        return CatchResponse::success($this->maintainLogModel->storeBy($request->post()));
    }
    
    /**
     * 读取
     * @time 2022年05月06日 16:17
     * @param $id 
     */
    public function read($id) : \think\Response
    {
        return CatchResponse::success($this->maintainLogModel->findBy($id));
    }
    
    /**
     * 更新
     * @time 2022年05月06日 16:17
     * @param Request $request 
     * @param $id
     */
    public function update(Request $request, $id) : \think\Response
    {
        return CatchResponse::success($this->maintainLogModel->updateBy($id, $request->post()));
    }
    
    /**
     * 删除
     * @time 2022年05月06日 16:17
     * @param $id
     */
    public function delete($id) : \think\Response
    {
        return CatchResponse::success($this->maintainLogModel->deleteBy($id));
    }
}