<?php

namespace catchAdmin\logs\controller;

use catcher\base\CatchRequest as Request;
use catcher\CatchResponse;
use catcher\base\CatchController;
use catchAdmin\logs\model\WrenchCheckLog as wrenchCheckLogModel;

class WrenchCheckLog extends CatchController
{
    protected $wrenchCheckLogModel;
    
    public function __construct(WrenchCheckLogModel $wrenchCheckLogModel)
    {
        $this->wrenchCheckLogModel = $wrenchCheckLogModel;
    }
    
    /**
     * 列表
     * @time 2022年05月07日 10:34
     * @param Request $request 
     */
    public function index(Request $request) : \think\Response
    {
        return CatchResponse::paginate($this->wrenchCheckLogModel->getList());
    }
    
    /**
     * 保存信息
     * @time 2022年05月07日 10:34
     * @param Request $request 
     */
    public function save(Request $request) : \think\Response
    {
        return CatchResponse::success($this->wrenchCheckLogModel->storeBy($request->post()));
    }
    
    /**
     * 读取
     * @time 2022年05月07日 10:34
     * @param $id 
     */
    public function read($id) : \think\Response
    {
        return CatchResponse::success($this->wrenchCheckLogModel->findBy($id));
    }
    
    /**
     * 更新
     * @time 2022年05月07日 10:34
     * @param Request $request 
     * @param $id
     */
    public function update(Request $request, $id) : \think\Response
    {
        return CatchResponse::success($this->wrenchCheckLogModel->updateBy($id, $request->post()));
    }
    
    /**
     * 删除
     * @time 2022年05月07日 10:34
     * @param $id
     */
    public function delete($id) : \think\Response
    {
        return CatchResponse::success($this->wrenchCheckLogModel->deleteBy($id));
    }
}