<?php

namespace catchAdmin\logs\controller;

use catcher\base\CatchRequest as Request;
use catcher\CatchResponse;
use catcher\base\CatchController;
use catchAdmin\logs\model\WxPushResultLog as wxPushResultLogModel;

class WxPushResultLog extends CatchController
{
    protected $wxPushResultLogModel;
    
    public function __construct(WxPushResultLogModel $wxPushResultLogModel)
    {
        $this->wxPushResultLogModel = $wxPushResultLogModel;
    }
    
    /**
     * 列表
     * @time 2021年07月13日 19:22
     * @param Request $request 
     */
    public function index(Request $request) : \think\Response
    {
        return CatchResponse::paginate($this->wxPushResultLogModel->getList());
    }
    
    /**
     * 保存信息
     * @time 2021年07月13日 19:22
     * @param Request $request 
     */
    public function save(Request $request) : \think\Response
    {
        return CatchResponse::success($this->wxPushResultLogModel->storeBy($request->post()));
    }
    
    /**
     * 读取
     * @time 2021年07月13日 19:22
     * @param $id 
     */
    public function read($id) : \think\Response
    {
        return CatchResponse::success($this->wxPushResultLogModel->findBy($id));
    }
    
    /**
     * 更新
     * @time 2021年07月13日 19:22
     * @param Request $request 
     * @param $id
     */
    public function update(Request $request, $id) : \think\Response
    {
        return CatchResponse::success($this->wxPushResultLogModel->updateBy($id, $request->post()));
    }
    
    /**
     * 删除
     * @time 2021年07月13日 19:22
     * @param $id
     */
    public function delete($id) : \think\Response
    {
        return CatchResponse::success($this->wxPushResultLogModel->deleteBy($id));
    }
}