<?php

namespace catchAdmin\logs\model;

use catcher\base\CatchModel as Model;
use catcher\traits\db\BaseOptionsTrait;
use catcher\traits\db\ScopeTrait;
use think\facade\Db;

class HeartBeat extends Model
{
    use BaseOptionsTrait, ScopeTrait;
    // 表名
    public $name = 'heartbeat_log';
    // 数据库字段映射
    public $field = array(
        'id',
        // 设备信息
        'device_info',
        // RFID
        'label_2g4_id',
        // 电量
        'battery_level',
        // RSRP
        'rsrp',
        // 温度
        'temperature',
        // 心跳时间
        'timestamp',
        // 软件版本
        'sw_ver',
        // IMEI
        'imei',
        // 创建人ID
        'creator_id',
        // 创建时间
        'created_at',
        // 更新时间
        'updated_at',
        // 软删除
        'deleted_at',
    );
    public function getList()
    {
        return $this->catchSearch()
            ->order($this->aliasField('id'), 'desc')
            ->paginate();
    }
    public function searchImeiAttr($query, $value, $data)
    {
        return $query->where('imei',$value);
    }
    public function getTimestampAttr($value)
    {
        return $value ? date('Y-m-d H:i:s',$value) : '';
    }
}
