<?php

namespace catchAdmin\logs\model;

use catcher\base\CatchModel as Model;

class MaintainLog extends Model
{
    // 表名
    public $name = 'maintain_log';
    // 数据库字段映射
    public $field = array(
        'id',
        // 设备编号
        'device_number',
        // 经度
        'longitude',
        // 纬度
        'latitude',
        // 设备状态
        'device_state',
        // 运行时间
        'online_time',
        // 维护信息
        'info',
        // 创建人ID
        'creator_id',
        // 创建时间
        'created_at',
        // 更新时间
        'updated_at',
        // 软删除
        'deleted_at',
    );
    public function getList()
    {
        return $this->catchSearch()
            ->append(['run_time'])
            ->order($this->aliasField('id'), 'desc')
            ->paginate();
    }
    public function searchDeviceNumberAttr($query, $value, $data)
    {
        return $query->where('device_number',$value);
    }
    public function getOnlineTimeAttr($value)
    {
        return $value ? date('Y-m-d H:i:s',$value) : '';
    }
        /**
     * 获取部门名称（文本）
     */
    public function getRunTimeAttr()
    {
       
        return 1200;
    }
}