<?php

namespace catchAdmin\logs\model;

use catcher\base\CatchModel as Model;

class WrenchCheckLog extends Model
{
    // 表名
    public $name = 'wrench_check_log';
    // 数据库字段映射
    public $field = array(
        'id',
        'device_number',
        // 最大压力
        'max_pressure',
        // 最小压力
        'min_pressure',
        // 最大扭矩
        'max_torque',
        // 最小扭矩
        'min_torque',
        // 检测是否合格
        'check_state',
        // 外观是否合格
        'exterior_state',
        // 泵编号
        'hydraulic_number',
        // 检验员
        'checked_user',
        // 检验时间
        'check_time',
        // 创建人ID
        'creator_id',
        // 创建时间
        'created_at',
        // 更新时间
        'updated_at',
        // 软删除
        'deleted_at',
    );
    public function getList()
    {
        return $this->catchSearch()
            ->order($this->aliasField('id'), 'desc')
            ->paginate();
    }
    public function searchDeviceNumberAttr($query, $value, $data)
    {
        return $query->where('device_number',$value);
    }
    public function getCheckTimeAttr($value)
    {
        return $value ? date('Y-m-d H:i:s',$value) : '';
    }
}