<?php

namespace catchAdmin\permissions\model;

use catcher\base\CatchModel as Model;
use catchAdmin\permissions\model\Users;
use catcher\Utils;

class Area extends Model
{
    // 表名
    public $name = 'areas';
    // 数据库字段映射
    public $field = array(
        'id',
        // 父id
        'parent_id',
        // 名称
        'area_name',
        // 区域类型
        'area_type',
        // 经度
        'longitude',
        // 纬度
        'latitude',
        // 创建人ID
        'creator_id',
        // 创建时间
        'created_at',
        // 更新时间
        'updated_at',
        // 软删除
        'deleted_at',
    );

    /**
   * 列表
   *
   * @time 2020年01月09日
   * @param $params
   * @throws \think\db\exception\DbException
   * @return \think\Paginator
   */
    public function getList()
    {
      $cond = [];
      // if(!Utils::isSuperAdmin()){ // 非超级管理员
      //   $auth_areas = (new Users)->getAreaIdBy();
      //   $cond[] = ['id', 'in', json_decode($auth_areas,true)];
      // }
      $res = $this->catchSearch()
                  ->order('id', 'desc')
                  ->where($cond)
                  ->select()
                  ->toTree();
      return $res;
    }
    /**
     * 获取区域组件数据
     */
    public function getAreaTreeData()
    {
      $cond = [];
      // if(!Utils::isSuperAdmin()){ // 非超级管理员
      //   $auth_areas = (new Users)->getAreaIdBy();
      //   return json_decode($auth_areas, true);
      // }
      

      return [];                     
    }

    /**
     * 获取区域组件数据
     */
    public function getAreaTreeDataByCity($cityid){
      return [$cityid];    
    }

    /**
     * 搜索器
     */
    public function searchAreaNameAttr($query, $value, $data)
    {
      return $query->whereLike('area_name', "%$value%");
    }

  

    /**
     * 是否叶节点
     */
    public function isLeaf($areas) 
    {
      foreach($areas as &$area) {
        $area['leaf'] = true;
        if (isset($area['children'])) {
          $area['leaf'] = false;
          $area['children'] = $this->isLeaf($area['children']);
        }
      }
      return $areas;
    }
     
}