<?php
$router->group(function () use ($router){
    // 角色
    $router->resource('roles', '\catchAdmin\permissions\controller\Role');
    $router->get('getPartRoles', '\catchAdmin\permissions\controller\Role@getPartRoles');
    //判断是否是全部数据权限
    $router->get('role/isAllDataRange', '\catchAdmin\permissions\controller\Role@isAllDataRange');
    
    // 角色列表
    $router->get('/role/get/permissions', '\catchAdmin\permissions\controller\Role@getPermissions');
    // 权限
    $router->resource('permissions', '\catchAdmin\permissions\controller\Permission');
    $router->put('permissions/show/<id>', '\catchAdmin\permissions\controller\Permission@show');
    $router->get('controller/methods/<id>', '\catchAdmin\permissions\controller\Permission@getMethods');

    // 部门
    $router->resource('departments', '\catchAdmin\permissions\controller\Department');
    $router->get('getDepartmentType', '\catchAdmin\permissions\controller\Department@getDepartmentType');
    //只到学校部门数据
    $router->get('school_departs', '\catchAdmin\permissions\controller\Department@getSchoolDeparts');
    //年级、班级数据
    $router->get('class_departs', '\catchAdmin\permissions\controller\Department@getClassDeparts');
    $router->get('yys_departs', '\catchAdmin\permissions\controller\Department@getYysDeparts');
    //只显示有学校的运营商及以下数据
    $router->get('departments_has_school', '\catchAdmin\permissions\controller\Department@getDepartsHasSchool');
    $router->get('getDepartmentAreaId', '\catchAdmin\permissions\controller\Department@getDepartmentAreaId');
    
    // 所有职位
    $router->get('jobs/all', '\catchAdmin\permissions\controller\Job@getAll');
    // 岗位
    $router->resource('jobs', '\catchAdmin\permissions\controller\Job');
    // 用户
    $router->resource('users', '\catchAdmin\permissions\controller\User');
    // 切换状态
    $router->put('users/switch/status/<id>', '\catchAdmin\permissions\controller\User@switchStatus');
    $router->put('users/recover/<id>', '\catchAdmin\permissions\controller\User@recover');
    $router->put('user/profile', '\catchAdmin\permissions\controller\User@profile');
    $router->get('users/get/roles', '\catchAdmin\permissions\controller\User@getRoles');
    $router->get('user/info', '\catchAdmin\permissions\controller\User@info');
    $router->get('user/export', '\catchAdmin\permissions\controller\User@export');
    $router->get('user/getAreaId', '\catchAdmin\permissions\controller\User@getAreaIdBy');
    $router->get('users/getUsers/<depart_id>', '\catchAdmin\permissions\controller\User@getUserByDepart');
    $router->get('user/getPushUserList', '\catchAdmin\permissions\controller\User@getPushUserList'); // 获取推送用户

	// area路由
    $router->get('area/getAreaTreeData', '\catchAdmin\permissions\controller\Area@getAreaTreeData');
    $router->get('area/getAreaTreeDataByCity/:cityid', '\catchAdmin\permissions\controller\Area@getAreaTreeDataByCity');
    $router->resource('area', '\catchAdmin\permissions\controller\Area');
    $router->post('area/getDistrictChildrenArea', '\catchAdmin\permissions\controller\Area@getDistrictChildrenArea');
	// sysConfig路由
	$router->resource('sysConfig', '\catchAdmin\permissions\controller\SysConfig');
	// test路由
})->middleware('auth');
// sysConfig路由
$router->group('configs', function () use ($router){
    // 获取根据类型分组的配置
    $router->get('getListGroupByType', '\catchAdmin\permissions\controller\SysConfig@getListGroupByType');
    // 保存所有配置
    $router->post('saveAll', '\catchAdmin\permissions\controller\SysConfig@saveAll');
})->middleware('auth');
// department 路由
$router->group('department', function () use ($router){
    // 获取根据类型分组的配置
    $router->get('getOnlySchoolData', '\catchAdmin\permissions\controller\Department@onlySchoolData');
    $router->get('getOnlySchoolOption', '\catchAdmin\permissions\controller\Department@getOnlySchoolOption');
    $router->get('getChildrenOption', '\catchAdmin\permissions\controller\Department@getChildrenOption');
})->middleware('auth');
  //获取配置值
  $router->post('configs/getConfigValueBy','\catchAdmin\permissions\controller\SysConfig@getConfigValueBy');
