<?php

namespace catchAdmin\sms\controller;

use catcher\base\CatchRequest as Request;
use catcher\CatchResponse;
use catcher\base\CatchController;
use catchAdmin\sms\model\SmsSendLog as smsSendLogModel;
use catchAdmin\system\model\SysDictData;
class SmsSendLog extends CatchController
{
    protected $smsSendLogModel;
    
    public function __construct(smsSendLogModel $smsSendLogModel)
    {
        $this->smsSendLogModel = $smsSendLogModel;
    }
    
    /**
     * 列表
     * @time 2021年02月03日 11:33
     * @param Request $request 
     */
    public function index(Request $request) : \think\Response
    {
        return CatchResponse::paginate($this->smsSendLogModel->getList());
    }
    
    /**
     * 保存信息
     * @time 2021年02月03日 11:33
     * @param Request $request 
     */
    public function save(Request $request) : \think\Response
    {
        return CatchResponse::success($this->smsSendLogModel->storeBy($request->post()));
    }
    
    /**
     * 读取
     * @time 2021年02月03日 11:33
     * @param $id 
     */
    public function read($id) : \think\Response
    {
        return CatchResponse::success($this->smsSendLogModel->findBy($id));
    }
    
    /**
     * 更新
     * @time 2021年02月03日 11:33
     * @param Request $request 
     * @param $id
     */
    public function update(Request $request, $id) : \think\Response
    {
        return CatchResponse::success($this->smsSendLogModel->updateBy($id, $request->post()));
    }
    
    /**
     * 删除
     * @time 2021年02月03日 11:33
     * @param $id
     */
    public function delete($id) : \think\Response
    {
        return CatchResponse::success($this->smsSendLogModel->deleteBy($id));
    }

    /**
     * 推送类型统计
     * @time 2021年02月03日 11:33
     */
    public function AlarmSendCount() : \think\Response
    {

        
        $typeArr=(new SysDictData())->getTypesByCode('AlarmSendType');
        $type_list=array();
        foreach($typeArr as $val){
            $newKey=$val['value'];
            $where=[
                ['type','=',$val['value']],
                ['sent_result','<>',0]
            ];
            $count=$this->smsSendLogModel->where($where)->count();
            $type_list[$newKey]=$count;
            //当日
            $dayNewKey='day_'.$val['value'];
            $where[]=['sent_time','>',strtotime(date('Y-m-d'))];
            $count_day=$this->smsSendLogModel->where($where)->count();
  
            $type_list[$dayNewKey]=$count_day;
        }
        return CatchResponse::success($type_list);
    }
    
}