<?php

namespace catchAdmin\stations\controller;

use catcher\base\CatchRequest as Request;
use catcher\CatchResponse;
use catcher\base\CatchController;
use catchAdmin\stations\model\StationHeartbeat as stationHeartbeatModel;

class StationHeartbeat extends CatchController
{
    protected $stationHeartbeatModel;
    
    public function __construct(StationHeartbeatModel $stationHeartbeatModel)
    {
        $this->stationHeartbeatModel = $stationHeartbeatModel;
    }
    
    /**
     * 列表
     * @time 2021年06月01日 10:16
     * @param Request $request 
     */
    public function index(Request $request) : \think\Response
    {
        return CatchResponse::paginate($this->stationHeartbeatModel->getList());
    }
    
    /**
     * 保存信息
     * @time 2021年06月01日 10:16
     * @param Request $request 
     */
    public function save(Request $request) : \think\Response
    {
        return CatchResponse::success($this->stationHeartbeatModel->storeBy($request->post()));
    }
    
    /**
     * 读取
     * @time 2021年06月01日 10:16
     * @param $id 
     */
    public function read($id) : \think\Response
    {
        return CatchResponse::success($this->stationHeartbeatModel->findBy($id));
    }
    
    /**
     * 更新
     * @time 2021年06月01日 10:16
     * @param Request $request 
     * @param $id
     */
    public function update(Request $request, $id) : \think\Response
    {
        return CatchResponse::success($this->stationHeartbeatModel->updateBy($id, $request->post()));
    }
    
    /**
     * 删除
     * @time 2021年06月01日 10:16
     * @param $id
     */
    public function delete($id) : \think\Response
    {
        return CatchResponse::success($this->stationHeartbeatModel->deleteBy($id));
    }
}