<?php

namespace catchAdmin\stations\model;

use catcher\base\CatchModel as Model;
use catchAdmin\permissions\model\DataRangScopeTrait;
class StationHeartbeat extends Model
{
    // 表名
    public $name = 'station_heartbeat';
    use DataRangScopeTrait;
    // 数据库字段映射
    public $field = array(
        'id',
        // 设备ID
        'device_id',
        // 设备Imei
        'device_imei',
        // 序列号
        'station_sn',
        // 底层固件版本号
        'core_version',
        // 脚本版本号
        'script_version',
        // sim卡iccid
        'sim_iccid',
        // sim卡imsi
        'sim_imsi',
        // 请求时间
        'add_time',
        // 调度中心ip
        'ddzx_ip',
        // 调度中心tcp端口
        'ddzx_tcp_port',
        // 等待接收超时时间
        'ddzx_wait_recv_msg_max_time',
        // rfid离线超时时间
        'rfid_offline_timeout',
        // 设备定时重启时间
        'dev_reboot_time',
        // http运维通道请求间隔
        'http_devops_interval',
        // rssi信号过滤值
        'rfid_rssi_filter_val',
        // 响应内容
        'response_content',
        // 响应时间
        'response_time',
        // 空中升级检测周期
        'ota_check_interval',
        // 错误日志上报地址
        'error_log_report_url',
        // 错误日志上报间隔
        'error_log_report_interval',
        // 设备开机次数
        'boot_num',
        // 数据通道IP
        'data_ip',
        // 数据通道TCP端口
        'data_tcp_port',
        // 数据通道UDP端口
        'data_udp_port',
        // rfid数据上报周期
        'rfid_report_interval_rlian',
        // rfid缓存信号数
        'rfid_buffer_max_count_rlian',
        // 是否启用节流模式
        'rfid_enable_throttle_rlian',
        // rfid离线时间阀值
        'rfid_offline_timeout_rlian',
        // 首末次信号最小时间差
        'rfid_min_diff_time',
        
        // 设备型号
        'dev_model',
        // 使用内存
        'ram_used',
        // 剩余flash空间
        'free_flash',
        // 4G信号强度
        'net_rssi',
        // 创建人ID
        'creator_id',
        // 创建时间
        'created_at',
        // 更新时间
        'updated_at',
        // 软删除
        'deleted_at',
    );
    /**
     * 获取基站列表
     */
    public function getList()
    {
        $res = $this
            ->catchSearch()
            ->order($this->aliasField('id'), 'desc')
            ->paginate();
            // var_dump($this->getLastSql());
        return $res;
    }

    /**
     * 基站编码
     */
    public function searchDeviceIdAttr($query, $value, $data)
    {
        return $query->where('device_id', $value);
    }

}