<?php

namespace catchAdmin\system\controller;

use catcher\base\CatchRequest as Request;
use catcher\CatchResponse;
use catcher\base\CatchController;
use catchAdmin\system\model\SysDictType as Model;
use catcher\exceptions\FailedException;
class SysDictType extends CatchController
{
    protected $model;
    
    public function __construct(Model $model)
    {
        $this->model = $model;
    }
    
    /**
     * 列表
     * @time 2020年12月18日 15:11
     * @param Request $request 
     */
    public function index(Request $request) : \think\Response
    {
        
       return CatchResponse::paginate($this->model->getList());
    }
    
    /**
     * 保存信息
     * @time 2020年12月18日 15:11
     * @param Request $request 
     */
    public function save(Request $request) : \think\Response
    {
        $params=$request->post();
        if ($this->model->where('code', $params['code'])->find()) {
            throw new FailedException('唯一编码已存在');
        }
        return CatchResponse::success($this->model->storeBy($params));
    }
    
    /**
     * 读取
     * @time 2020年12月18日 15:11
     * @param $id 
     */
    public function read($id) : \think\Response
    {
        return CatchResponse::success($this->model->findBy($id));
    }
    
    /**
     * 更新
     * @time 2020年12月18日 15:11
     * @param Request $request 
     * @param $id
     */
    public function update(Request $request, $id) : \think\Response
    {
        $params=$request->post();
        if ($this->model->where('code', $params['code'])->where('id', '<>',$id)->find()) {
            throw new FailedException('唯一编码已存在');
        }
        return CatchResponse::success($this->model->updateBy($id, $params));
    }
    
    /**
     * 删除
     * @time 2020年12月18日 15:11
     * @param $id
     */
    public function delete($id) : \think\Response
    {
        return CatchResponse::success($this->model->deleteBy($id,true));
    }

}