<?php

namespace catchAdmin\system\model;

use catcher\base\CatchModel as Model;
use think\facade\Db;

class SysDictType extends Model
{
    // 表名
    public $name = 'sys_dict_type';
    // 数据库字段映射
    public $field = array(
        'id',
        // 名称
        'name',
        // 编码
        'code',
        // 排序
        'sort',
        // 状态（字典 0正常 1停用 2删除）
        'status',
        // 备注
        'remark',
        // 创建人ID
        'creator_id',
        // 创建时间
        'created_at',
        // 更新时间
        'updated_at',
        // 软删除
        'deleted_at',
    );
    public function getList()
	{
		return $this->catchSearch()
			->order(['sort', 'id'])
			->paginate();
    }
    public function searchNameAttr($query, $value, $data)
    {
        return $query->whereLike('name', $value);
    }
    public function searchCodeAttr($query, $value, $data)
    {
        return $query->whereLike('code', $value);
    }

    

    /**
     * 根据 code 获取字典类型 id 
     */
    public static function getTypeIdByCode($code)
    {
        if (\think\facade\Cache::has("dict_type_{$code}")) {
            return \think\facade\Cache::get("dict_type_{$code}");
        }
        return SysDictType::where('code', $code)->cache("dict_type_{$code}", 60)->value('id');
    }
}