<?php

namespace catchAdmin\wind\model;

use catcher\base\CatchModel as Model;
use catchAdmin\permissions\model\DataRangScopeTrait;
use \think\facade\Db;
class Wind extends Model
{
    use DataRangScopeTrait;
    // 表名
    public $name = 'wind';
    // 数据库字段映射
    public $field = array(
        'id',
        // 风场名称
        'name',
        // 编号
        'number',
        // 所属部门
        'department_id',
        // 风场地址
        'address',
        // 维保设备数量
        'maintenance_count',
        // 泵设备数量
        'pump_count',
        //风场形状
        'wind_shape',
        //风场区域经纬度信息
        'wind_info',
        //风场边缘颜色
        'side_color',
        //风场内部颜色
        'inside_color',
        // 备注
        'remark',
        // 创建人ID
        'creator_id',
        // 创建时间
        'created_at',
        // 更新时间
        'updated_at',
        // 软删除
        'deleted_at',
    );
    public function getList()
    {
        
        // 分页列表
        return $this->dataRange()
            ->catchSearch()
            ->field('*')
            ->catchOrder()
            ->append(['type_name','depart_name'])
            ->creator()
            ->paginate();
    }
    public function getWindList(){
        // 不分页
        return $this->dataRange()
        ->catchSearch()
        ->field('*')
        ->catchOrder()
        ->append(['type_name','depart_name'])
        ->creator()
        ->select();
    }
       /**
     * 获取风场类型（文本）
     */
    public function getTypeNameAttr($value)
    {
        $type_arr = [
            'circle' => '圆形围栏',
            'polygon' => '多边形围栏',
        ];
        return $type_arr[$this->getData('wind_shape')] ? : '未知';     
    }
    public function getDepartmentIdAttr($value)
    {
        return json_decode($value,true);
    }
    public function getWindInfoAttr($value)
    {
        return json_decode($value, true);
    }
    public function getDepartNameAttr($value)
    {
        $id=$this->department_id;
        return Db::table('departments')->where('id', $id)->value('department_name');
    }
    public function searchNameAttr($query, $value, $data)
    {
        return $query->where('name','like','%'.$value.'%');
    }
    
}