<?php

use think\migration\Migrator;
use think\migration\db\Column;
use Phinx\Db\Adapter\MysqlAdapter;

class Worklocation extends Migrator
{
    /**
     * Change Method.
     *
     * Write your reversible migrations using this method.
     *
     * More information on writing migrations is available here:
     * http://docs.phinx.org/en/latest/migrations.html#the-abstractmigration-class
     *
     * The following commands can be used in this method and Phinx will
     * automatically reverse them when rolling back:
     *
     *    createTable
     *    renameTable
     *    addColumn
     *    renameColumn
     *    addIndex
     *    addForeignKey
     *
     * Remember to call "create()" or "update()" and NOT "save()" when working
     * with the Table class.
     */
    public function change()
    {
        $table = $this->table('work_location', ['engine' => 'InnoDB', 'collation' => 'utf8mb4_general_ci', 'comment' => '工作位置' ,'id' => 'id','signed' => true ,'primary_key' => ['id']]);
        $table->addColumn('wind_id', 'integer', ['limit' => MysqlAdapter::INT_REGULAR,'null' => true,'signed' => true,'comment' => '风场编号',])
			->addColumn('fan_id', 'integer', ['limit' => MysqlAdapter::INT_REGULAR,'null' => true,'signed' => true,'comment' => '风机编号',])
			->addColumn('work_local', 'string', ['limit' => 250,'null' => true,'signed' => true,'comment' => '工作位置',])
			->addColumn('parts', 'string', ['limit' => 250,'null' => true,'signed' => true,'comment' => '所属部件',])
			->addColumn('bolt_style', 'string', ['limit' => 255,'null' => true,'signed' => true,'comment' => '螺栓样式',])
			->addColumn('boit_type', 'string', ['limit' => 255,'null' => true,'signed' => true,'comment' => '螺栓型号',])
			->addColumn('number', 'string', ['limit' => 50,'null' => true,'signed' => true,'comment' => '编号',])
			->addColumn('info', 'string', ['limit' => 100,'null' => true,'signed' => true,'comment' => '备注说明',])
			->addColumn('creator_id', 'integer', ['limit' => MysqlAdapter::INT_REGULAR,'null' => false,'default' => 0,'signed' => false,'comment' => '创建人ID',])
			->addColumn('created_at', 'integer', ['limit' => MysqlAdapter::INT_REGULAR,'null' => false,'default' => 0,'signed' => false,'comment' => '创建时间',])
			->addColumn('updated_at', 'integer', ['limit' => MysqlAdapter::INT_REGULAR,'null' => false,'default' => 0,'signed' => false,'comment' => '更新时间',])
			->addColumn('deleted_at', 'integer', ['limit' => MysqlAdapter::INT_REGULAR,'null' => false,'default' => 0,'signed' => false,'comment' => '软删除',])
            ->create();
    }
}
