<?php

namespace catchAdmin\yunying\controller;

use catcher\base\CatchRequest as Request;
use catcher\CatchResponse;
use catcher\base\CatchController;
use catchAdmin\yunying\model\VehicleBrand as vehicleBrandModel;

class VehicleBrand extends CatchController
{
    protected $vehicleBrandModel;
    
    public function __construct(vehicleBrandModel $vehicleBrandModel)
    {
        $this->vehicleBrandModel = $vehicleBrandModel;
    }
    
    /**
     * 列表
     * @time 2022年01月20日 11:28
     * @param Request $request 
     */
    public function index(Request $request) : \think\Response
    {
        $field = $request->get('field')?:'id';
        $order = $request->get('order')?:'desc';
        return CatchResponse::paginate($this->vehicleBrandModel->getBrandList($field,$order));
    }
    
    /**
     * 保存信息
     * @time 2022年01月20日 11:28
     * @param Request $request 
     */
    public function save(Request $request) : \think\Response
    {
        return CatchResponse::success($this->vehicleBrandModel->storeBy($request->post()));
    }
    
    /**
     * 读取
     * @time 2022年01月20日 11:28
     * @param $id 
     */
    public function read($id) : \think\Response
    {
        return CatchResponse::success($this->vehicleBrandModel->findBy($id));
    }
    
    /**
     * 更新
     * @time 2022年01月20日 11:28
     * @param Request $request 
     * @param $id
     */
    public function update(Request $request, $id) : \think\Response
    {
        return CatchResponse::success($this->vehicleBrandModel->updateBy($id, $request->post()));
    }
    
    /**
     * 删除
     * @time 2022年01月20日 11:28
     * @param $id
     */
    public function delete($id) : \think\Response
    {
        return CatchResponse::success($this->vehicleBrandModel->deleteBy($id));
    }
}