<?php

namespace catchAdmin\yunying\controller;

use catcher\base\CatchRequest as Request;
use catcher\CatchResponse;
use catcher\base\CatchController;
use catchAdmin\yunying\model\VehicleColor as vehicleColorModel;

class VehicleColor extends CatchController
{
    protected $vehicleColorModel;
    
    public function __construct(vehicleColorModel $vehicleColorModel)
    {
        $this->vehicleColorModel = $vehicleColorModel;
    }
    
    /**
     * 列表
     * @time 2022年01月20日 11:29
     * @param Request $request 
     */
    public function index(Request $request) : \think\Response
    {
        $field = $request->get('field')?:'id';
        $order = $request->get('order')?:'desc';
        return CatchResponse::paginate($this->vehicleColorModel->getColorList($field,$order));
    }
    
    /**
     * 保存信息
     * @time 2022年01月20日 11:29
     * @param Request $request 
     */
    public function save(Request $request) : \think\Response
    {
        return CatchResponse::success($this->vehicleColorModel->storeBy($request->post()));
    }
    
    /**
     * 读取
     * @time 2022年01月20日 11:29
     * @param $id 
     */
    public function read($id) : \think\Response
    {
        return CatchResponse::success($this->vehicleColorModel->findBy($id));
    }
    
    /**
     * 更新
     * @time 2022年01月20日 11:29
     * @param Request $request 
     * @param $id
     */
    public function update(Request $request, $id) : \think\Response
    {
        return CatchResponse::success($this->vehicleColorModel->updateBy($id, $request->post()));
    }
    
    /**
     * 删除
     * @time 2022年01月20日 11:29
     * @param $id
     */
    public function delete($id) : \think\Response
    {
        return CatchResponse::success($this->vehicleColorModel->deleteBy($id,true));
    }
}