<?php

namespace catchAdmin\yunying\controller;

use catcher\base\CatchRequest as Request;
use catcher\CatchResponse;
use catcher\base\CatchController;
use catchAdmin\yunying\model\VehiclePhoto as vehiclePhotoModel;

class VehiclePhoto extends CatchController
{
    protected $vehiclePhotoModel;
    
    public function __construct(vehiclePhotoModel $vehiclePhotoModel)
    {
        $this->vehiclePhotoModel = $vehiclePhotoModel;
    }
    
    /**
     * 列表
     * @time 2022年01月20日 10:54
     * @param Request $request 
     */
    public function index(Request $request) : \think\Response
    {
        return CatchResponse::paginate($this->vehiclePhotoModel->getList());
    }
    
    /**
     * 保存信息
     * @time 2022年01月20日 10:54
     * @param Request $request 
     */
    public function save(Request $request) : \think\Response
    {
        return CatchResponse::success($this->vehiclePhotoModel->storeBy($request->post()));
    }
    
    /**
     * 读取
     * @time 2022年01月20日 10:54
     * @param $id 
     */
    public function read($id) : \think\Response
    {
        return CatchResponse::success($this->vehiclePhotoModel->findBy($id));
    }
    
    /**
     * 更新
     * @time 2022年01月20日 10:54
     * @param Request $request 
     * @param $id
     */
    public function update(Request $request, $id) : \think\Response
    {
        return CatchResponse::success($this->vehiclePhotoModel->updateBy($id, $request->post()));
    }
    
    /**
     * 删除
     * @time 2022年01月20日 10:54
     * @param $id
     */
    public function delete($id) : \think\Response
    {
        return CatchResponse::success($this->vehiclePhotoModel->deleteBy($id));
    }
}