<?php

namespace catchAdmin\yunying\model;

use catcher\base\CatchModel as Model;
use catchAdmin\permissions\model\DataRangScopeTrait;
use catchAdmin\yunying\model\Vehicle;
class StolenVehicle extends Model
{
    use DataRangScopeTrait;
    // 表名
    public $name = 'stolen_vehicles';
    // 数据库字段映射
    public $field = array(
        'id',
        // 被盗车id
        'vehicle_id',
        // 描述
        'description',
        // 被盗时间
        'stolen_time',
        // 处理结果
        'result',
        // 联系电话
        'telephone',
        // 创建人ID
        'creator_id',
        // 创建时间
        'created_at',
        // 更新时间
        'updated_at',
        // 软删除
        'deleted_at',
    );
      /**
     * 获取被盗车辆列表
     */
    public function getStolenList($field,$order)
    {
        $res =  $this->dataRange()
            ->catchSearch()
            ->append(['license_plate'])
            ->order($this->aliasField($field), $order)
            ->paginate();
        return $res;
    }
     /**
     * 获取车牌号码
     */
    public function getLicensePlateAttr($value)
    {
        $vehicle_id = $this->getData('vehicle_id');
        return (new Vehicle())->where('id',$vehicle_id)->value('license_plate');
    }
    /**
     * 根据车牌号码搜索
     */
    public function searchLicensePlateAttr($query,$value)
    {
        $vehicle_id = (new Vehicle())->where('license_plate',trim($value))->value('id');
        return $query->where('vehicle_id',$vehicle_id);
    }
     /**
     * 根据处理结果搜索
     */
    public function searchResultAttr($query,$value)
    {
        return $query->where('result',$value);
    }
}